/// <reference types="node" />
import nodeSass from "node-sass";
import sass from "sass";
/**
 * A list of all possible SASS package implementations that can be used to
 * perform the compilation and parsing of the SASS files. The expectation is
 * that they provide a nearly identical API so they can be swapped out but
 * all of the same logic can be reused.
 */
export declare const IMPLEMENTATIONS: readonly ["node-sass", "sass"];
export declare type Implementations = typeof IMPLEMENTATIONS[number];
declare type Implementation = typeof nodeSass | typeof sass;
/**
 * Determine which default implementation to use by checking which packages
 * are actually installed and available to use.
 *
 * @param resolver DO NOT USE - this is unfortunately necessary only for testing.
 */
export declare const getDefaultImplementation: (resolver?: RequireResolve) => Implementations;
/**
 * Retrieve the desired implementation.
 *
 * @param implementation the desired implementation.
 */
export declare const getImplementation: (implementation?: "node-sass" | "sass" | undefined) => Implementation;
export {};
